//Sample code for calling IsSpam function

using System;
using System.Runtime.InteropServices;

namespace CSpamCsSample
{
	class Class1
	{
		//You should copy Spamity.dll in the known place 
		//then change the following path:
		[DllImport("C:\\Spamity.dll")]
		public static extern int UpdateDefinitions(int nThreadMode);
		[DllImport("C:\\Spamity.dll")]
		public static extern int IsSpam (string body, string sTo, string sCC,
										 string sFrom, string sReplyTo, string sIP,
										 ref int nDefNum);
		[DllImport("C:\\Spamity.dll")]
		public static extern int GetStat (ref int ndef, ref int nomi, ref int nomIP);
		[DllImport("C:\\Spamity.dll")]
		public static extern int SetKey (string key);
		[DllImport("C:\\Spamity.dll")]
		public static extern int Terminate();

		[STAThread]
		static void Main(string[] args)
		{
			int DefNum = 0;

			//Set the License key
			SetKey("C63CC48BB2AF11D68F820050BAD24359");
			
			//The first time UpdateDefinitions function is called, it may take a few 
			//minutes to return. It should take shorter time once the definitions are 
			//automatically cached and stored on the hard drive. 
			//After that you can call IsSpam function against your emails.
			//Updates will be downloaded automatically and will not affect 
			//the IsSpam processing time.
			UpdateDefinitions(1);

			//To do: Replace "Email body" with the body of your email.
			//		 Change "to", "cc", "from", "replyto" parameters with 
			//		 the corresponding values from your email. The latest  
			//       parameters are optional, but you can get a more accurate 
			//       result by using them.
			
			//Check whether an email is spam or not
			long result = IsSpam("body","to","cc","from","replyto",null,ref DefNum);

			//Check results of IsSpam function call
			if(result != 0) System.Console.WriteLine("\nThe email was spam");
			else System.Console.WriteLine("\nThe email was Legitimate");

			//For having a graceful termination/clean up, it is better to call Terminate().
			Terminate();
		}
	}
}
